// Code_ThumbSaveDlg.h : header file
//

#if !defined(AFX_CODE_THUMBSAVEDLG_H__C94485A7_5E6C_4CCD_AAF4_FDF7D94D0FE4__INCLUDED_)
#define AFX_CODE_THUMBSAVEDLG_H__C94485A7_5E6C_4CCD_AAF4_FDF7D94D0FE4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "xShadeButton.h"
#include "TreeSelect.h"
#include	<vector>
#include "dib.h"

/////////////////////////////////////////////////////////////////////////////
// CCode_ThumbSaveDlg dialog

class CCode_ThumbSaveDlg : public CDialog
{
// Construction
public:
	CCode_ThumbSaveDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CCode_ThumbSaveDlg)
	enum { IDD = IDD_CODE_THUMBSAVE_DIALOG };
	CxShadeButton	m_DragSave;
	CxShadeButton	m_DragAv;
	CxShadeButton	m_Info;
	CxShadeButton	m_SaveOpen;
	CxShadeButton	m_CloseButton;
	CxShadeButton	m_SaveButton;
	CxShadeButton	m_OpenButton;
	CxShadeButton	m_ClearButton;
	CxShadeButton	m_BrowseButton;
	CListCtrl	m_ListThumbnail;
	CListCtrl	m_ListThumbnailL;
	CString	m_strImageDir;
	CString	m_Display;
	CString	m_show1;
	CString	m_show2;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCode_ThumbSaveDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	
	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	std::vector<CString>	m_VectorImageNames;	
	int						m_nSelectedItem;
	CImageList				m_ImageListThumb;		// image list holding the thumbnails
	//CImageList              m_ImageListDrop;

	void DrawThumbnailsGraphic();
	void DrawSavedGraphics();
	void DrawMTThumb();

	BOOL  GetThumbnailsGraphic();
	BOOL GetFilesSave();
	//for drag
	CListCtrl* m_pDragList;		//Which ListCtrl we are dragging FROM
	CListCtrl* m_pDropList;		//Which ListCtrl we are dropping ON
	CImageList* m_pDragImage;	//For creating and managing the drag-image
	BOOL		m_bDragging;	//T during a drag operation
	int			m_nDragIndex;	//Index of selected item in the List we are dragging FROM
	int			m_nDropIndex;	//Index at which to drop item in the List we are dropping ON
	CWnd*		m_pDropWnd;		//Pointer to window we are dropping on (will be cast to CListCtrl* type)

	void DropItemOnList(CListCtrl* pDragList, CListCtrl* pDropList);
	//for drag end

	// Generated message map functions
	//{{AFX_MSG(CCode_ThumbSaveDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonBrowse();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnButtonClear();
	afx_msg void OnButtonOpen();
	afx_msg void OnButtonSave();
	afx_msg void OnButton1();
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnBegindragListThumbnail(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnClickListThumbnail(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnButton2();
	afx_msg void OnButtonSavedrag();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CODE_THUMBSAVEDLG_H__C94485A7_5E6C_4CCD_AAF4_FDF7D94D0FE4__INCLUDED_)
