// Code_ThumbSaveDlg.cpp : implementation file
//

#include "stdafx.h"
#include "Code_ThumbSave.h"
#include "Code_ThumbSaveDlg.h"
#include "xShadeButton.h"
#include "TreeSelect.h"
#include "dib.h"
#include <stdlib.h>
#include <stdio.h>
  
#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

#define	THUMBNAIL_WIDTH		50
#define	THUMBNAIL_HEIGHT	50


//Declaration of varaible 

HWND m_hwndMainWnd;
CImageList              m_ImageListDrop;
int DragCondition=0;
int loopnumber=0,num=0,xx=0,countgra=0;
CString PathSave,m_GraphicsListThumbnailPath;
char * PathSaveAr[20000];
char * PathDragSave[20000];
char *fnamm;
char fname [MAX_PATH];
int         i=0,ii=0;
int         h=0,w=0;
POINT		pt1;

//Declaration of varaible ends

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCode_ThumbSaveDlg dialog

CCode_ThumbSaveDlg::CCode_ThumbSaveDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CCode_ThumbSaveDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CCode_ThumbSaveDlg)
	m_Display = _T("No File Selected To Open");
	m_show1 = _T("Drag The Thumbnails From This ListControl");
	m_show2 = _T("Drop The Thumbnail To This ListControl");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CCode_ThumbSaveDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCode_ThumbSaveDlg)
	DDX_Control(pDX, IDC_BUTTON_SAVEDRAG, m_DragSave);
	DDX_Control(pDX, IDC_BUTTON_DRAG, m_DragAv);
	DDX_Control(pDX, IDC_BUTTON2, m_Info);
	DDX_Control(pDX, IDC_BUTTON1, m_SaveOpen);
	DDX_Control(pDX, IDOK, m_CloseButton);
	DDX_Control(pDX, IDC_BUTTON_SAVE, m_SaveButton);
	DDX_Control(pDX, IDC_BUTTON_OPEN, m_OpenButton);
	DDX_Control(pDX, IDC_BUTTON_CLEAR, m_ClearButton);
	DDX_Control(pDX, IDC_BUTTON_BROWSE, m_BrowseButton);
	DDX_Control(pDX, IDC_LIST_THUMBNAIL, 	m_ListThumbnail);
	DDX_Control(pDX, IDC_LIST1, 	m_ListThumbnailL);
	DDX_Text(pDX, IDC_EDIT_DISPLAY, m_Display);
	DDX_Text(pDX, IDC_EDIT1, m_show1);
	DDX_Text(pDX, IDC_EDIT2, m_show2);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CCode_ThumbSaveDlg, CDialog)
	//{{AFX_MSG_MAP(CCode_ThumbSaveDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BUTTON_BROWSE, OnButtonBrowse)
	ON_WM_CTLCOLOR()
	ON_BN_CLICKED(IDC_BUTTON_CLEAR, OnButtonClear)
	ON_BN_CLICKED(IDC_BUTTON_OPEN, OnButtonOpen)
	ON_BN_CLICKED(IDC_BUTTON_SAVE, OnButtonSave)
	ON_BN_CLICKED(IDC_BUTTON1, OnButton1)
	ON_WM_LBUTTONUP()
	ON_WM_MOUSEMOVE()
	ON_NOTIFY(LVN_BEGINDRAG, IDC_LIST_THUMBNAIL, OnBegindragListThumbnail)
	ON_NOTIFY(NM_CLICK, IDC_LIST_THUMBNAIL, OnClickListThumbnail)
	ON_BN_CLICKED(IDC_BUTTON2, OnButton2)
	ON_BN_CLICKED(IDC_BUTTON_SAVEDRAG, OnButtonSavedrag)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCode_ThumbSaveDlg message handlers

BOOL CCode_ThumbSaveDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	////Initializeing the Dialog Box	
	
	m_ListThumbnail.SetBkColor(RGB(200,200,200));
	m_ListThumbnailL.SetBkColor(RGB(200,200,200));


	m_OpenButton.SetToolTipText("Users can open the selected folders *.bmp files \nbut it is less efficient and takes more time\nthan after saving the folders  ");
	m_SaveButton.SetToolTipText("Users can save the folders *.bmp files");
	m_ClearButton.SetToolTipText("Users can clear the ListControl where the thumbnail appear");
	m_BrowseButton.SetToolTipText("Users can select the name of the folder which \nthey want to open or save");
	m_SaveOpen.SetToolTipText("Users can open the *.bmp files which is saved earlier");
	m_CloseButton.SetToolTipText("This button will close the application");
	m_Info.SetToolTipText("");
	m_DragAv.SetToolTipText("Dragging Facility is available only after opening the saved thumbnails");
	m_DragSave.SetToolTipText("Save the dragged graphics into file");

	m_OpenButton.SetFont("TIMES NEW ROMAN",15);
	m_OpenButton.SetTextColor(RGB(99,0,0));
	m_OpenButton.SetShade(SHS_METAL,18,10,15,RGB(200,120,220));
			
	m_SaveButton.SetFont("TIMES NEW ROMAN",15);
	m_SaveButton.SetTextColor(RGB(99,0,0));
	m_SaveButton.SetShade(SHS_METAL,18,10,15,RGB(200,120,220));
	
	m_ClearButton.SetFont("TIMES NEW ROMAN",15);
	m_ClearButton.SetTextColor(RGB(99,0,0));
	m_ClearButton.SetShade(SHS_METAL,18,10,15,RGB(200,120,220));
	
	m_BrowseButton.SetFont("TIMES NEW ROMAN",15);
	m_BrowseButton.SetTextColor(RGB(99,0,0));
	m_BrowseButton.SetShade(SHS_METAL,18,10,15,RGB(200,120,220));
	
	m_CloseButton.SetFont("TIMES NEW ROMAN",15);
	m_CloseButton.SetTextColor(RGB(99,0,0));
	m_CloseButton.SetShade(SHS_METAL,18,10,15,RGB(200,120,220));
	
	m_SaveOpen.SetFont("TIMES NEW ROMAN",15);
	m_SaveOpen.SetTextColor(RGB(99,0,0));
	m_SaveOpen.SetShade(SHS_METAL,18,10,15,RGB(200,120,220));
	
	m_Info.SetFont("TIMES NEW ROMAN",15);
	m_Info.SetTextColor(RGB(99,0,0));
	m_Info.SetShade(SHS_METAL,18,10,15,RGB(200,120,220));
	
	m_DragAv.SetFont("TIMES NEW ROMAN",15);
	m_DragAv.SetTextColor(RGB(99,0,0));
	m_DragAv.SetShade(SHS_METAL,18,10,15,RGB(200,120,220));
	
	m_DragSave.SetFont("TIMES NEW ROMAN",15);
	m_DragSave.SetTextColor(RGB(99,0,0));
	m_DragSave.SetShade(SHS_METAL,18,10,15,RGB(200,120,220));
	
	////End of Dialog Declaration....
	
	//To create Image list
	m_ImageListThumb.Create(THUMBNAIL_WIDTH, THUMBNAIL_HEIGHT, ILC_COLOR24, 0, 4);
	m_ImageListDrop.Create(THUMBNAIL_WIDTH, THUMBNAIL_HEIGHT, ILC_COLOR24, 0, 4);

	//To set the ImageList to the Listcontrol
	m_ListThumbnail.SetImageList(&m_ImageListThumb, LVSIL_NORMAL);
	m_ListThumbnailL.SetImageList(&m_ImageListDrop, LVSIL_NORMAL);
	
	//Initialize the varaible
	m_nSelectedItem = 0;
	
	///dragging Initialized///
	CRect rect;
	m_ListThumbnail.GetClientRect(&rect);

	m_bDragging = false;
	m_nDragIndex = -1;
	m_nDropIndex = -1;
	m_pDragImage = NULL;

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CCode_ThumbSaveDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CCode_ThumbSaveDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CCode_ThumbSaveDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}


void CCode_ThumbSaveDlg::OnButtonBrowse() 
{	
	CTreeSelect dlg(this);

	if(dlg.DoModal() == IDOK)
	{
	 if(dlg.m_strFolder != m_strImageDir)
	 {
	  m_strImageDir = dlg.m_strFolder;

	  UpdateData(TRUE);
	  m_Display=m_strImageDir;
	  UpdateData(FALSE);

	  // update selection criteria
	  UpdateData(FALSE);

	 }
	}
	OnButtonOpen() ;

}

HBRUSH CCode_ThumbSaveDlg::OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor) 
{
	HBRUSH hbr = CDialog::OnCtlColor(pDC, pWnd, nCtlColor);
	HBRUSH B = 	CreateSolidBrush(RGB(229,206,246)); 
	pDC->SetBkMode(TRANSPARENT);
    return (HBRUSH) B;
	return hbr;
}

void CCode_ThumbSaveDlg::OnButtonClear() 
{
	xx=0;
	countgra=0;

	PathSaveAr[xx]=NULL;

	UpdateData(TRUE);
	m_Display="No File Selected To Open";
	UpdateData(FALSE);
	
	m_ListThumbnail.DeleteAllItems();	
	m_ListThumbnailL.DeleteAllItems();
	
	//Resetting the Draf Button	
	m_DragAv.SetFont("TIMES NEW ROMAN",15);
	m_DragAv.SetTextColor(RGB(99,0,0));
	m_DragAv.SetShade(SHS_METAL,18,10,15,RGB(200,120,220));

	m_DragSave.SetFont("TIMES NEW ROMAN",15);
	m_DragSave.SetTextColor(RGB(99,0,0));
	m_DragSave.SetShade(SHS_METAL,18,10,15,RGB(200,120,220));
	
	UpdateWindow();
	
}


void CCode_ThumbSaveDlg::OnButtonOpen() 
{
	UpdateData(TRUE);

	// validate image directory
	if(m_strImageDir.IsEmpty())
	{
		MessageBox("Graphic Not Found");
		return;
	}
	SetCursor(::LoadCursor(NULL,IDC_WAIT));
	//for drag
	DragCondition=0;
	m_DragAv.SetFont("TIMES NEW ROMAN",15);
	m_DragAv.SetTextColor(RGB(99,0,0));
	m_DragAv.SetShade(SHS_METAL,18,10,15,RGB(200,120,220));
	
	UpdateWindow();
	
	m_DragSave.SetFont("TIMES NEW ROMAN",15);
	m_DragSave.SetTextColor(RGB(99,0,0));
	m_DragSave.SetShade(SHS_METAL,18,10,15,RGB(200,120,220));
	
	UpdateWindow();
	
	SetCursor(::LoadCursor(NULL,IDC_WAIT));
	
	// get the names of bitmap files
	if( !GetThumbnailsGraphic() )
		return;

	// draw thumbnail images in list control
	DrawThumbnailsGraphic();

	// set focus and select the first thumbnail in the list control
	m_ListThumbnail.SetFocus();
	m_ListThumbnail.SetItemState(0, LVIS_SELECTED|LVIS_FOCUSED, LVIS_SELECTED|LVIS_FOCUSED);	
	
}
void CCode_ThumbSaveDlg::DrawThumbnailsGraphic()
{
	CBitmap*    pImage = NULL;	
	HBITMAP     hBitmap = NULL;
	HPALETTE    hPal = NULL;
	HDC			hMemDC = NULL;	
	HGDIOBJ		hOldObj = NULL;
	POINT		pt;

	CFile		ImgFile;
	CDib		dib;
	CString		strPath;
	int			nWidth, nHeight;
	int h=0,w=0;
	int i=0;
	
	SetCursor(::LoadCursor(NULL,IDC_WAIT));
	// no images
	if(m_VectorImageNames.empty())
		return;

	// set the length of the space between thumbnails
	// you can also calculate and set it based on the length of your list control
	int nGap = 6;

	// hold the window update to avoid flicking
	m_ListThumbnail.SetRedraw(FALSE);
	
	// reset our image list
	for(i=0; i<m_ImageListThumb.GetImageCount(); i++)
		m_ImageListThumb.Remove(i);	

	// remove all items from list view
	if(m_ListThumbnail.GetItemCount() != 0)
		m_ListThumbnail.DeleteAllItems();

	// set the size of the image list
	m_ImageListThumb.SetImageCount(m_VectorImageNames.size());
	i = 0;
	CString name;
	// draw the thumbnails
	std::vector<CString>::iterator	iter;
	for(iter = m_VectorImageNames.begin(); iter != m_VectorImageNames.end(); iter++)
	{		
		// load the bitmap
		strPath = m_strImageDir + "\\" + *iter;
		
		SetCursor(::LoadCursor(NULL,IDC_WAIT));
		
		ImgFile.Open(strPath, CFile::modeRead);
		dib.Read(ImgFile);
		name = ImgFile.GetFileTitle().Mid(0,4);  
		ImgFile.Close();

		// borrow our dib header to create our thumbnail bitmap
		nWidth = dib.m_pBMI->bmiHeader.biWidth;
		nHeight = dib.m_pBMI->bmiHeader.biHeight;
		dib.m_pBMI->bmiHeader.biWidth = THUMBNAIL_WIDTH;
		dib.m_pBMI->bmiHeader.biHeight = THUMBNAIL_HEIGHT;
		
		// create thumbnail bitmap section
		hBitmap = ::CreateDIBSection(NULL, 
									 dib.m_pBMI, 
								     DIB_RGB_COLORS, 
								     NULL, 
								     NULL, 
								     0); 

		// restore dib header
		dib.m_pBMI->bmiHeader.biWidth = nWidth;
		dib.m_pBMI->bmiHeader.biHeight = nHeight;

		// select thumbnail bitmap into screen dc
		hMemDC = ::CreateCompatibleDC(NULL);	
		hOldObj = ::SelectObject(hMemDC, hBitmap);
	  
		// grayscale image, need palette
		if(dib.m_pPalette != NULL)
		{
			hPal = ::SelectPalette(hMemDC, (HPALETTE)dib.m_pPalette->GetSafeHandle(), FALSE);
			::RealizePalette(hMemDC);
		}
	  
		// set stretch mode
		::SetStretchBltMode(hMemDC, COLORONCOLOR);

		// populate the thumbnail bitmap bits
		::StretchDIBits(hMemDC, 0, 0, 
						THUMBNAIL_WIDTH, THUMBNAIL_HEIGHT, 
						0, 0, 
						dib.m_pBMI->bmiHeader.biWidth, 
						dib.m_pBMI->bmiHeader.biHeight, 
						dib.m_pBits, 
						dib.m_pBMI, 
						DIB_RGB_COLORS, 
						SRCCOPY);
		//To display the name of the file for a particular image

		CDC memdc,*rmemdc;
		memdc.Attach(hMemDC);
		rmemdc=memdc.FromHandle(hMemDC);
		if(rmemdc==NULL)
		{
			AfxMessageBox("Dc not Found");
		}
		rmemdc->SetBkColor(RGB(204,204,208));
		rmemdc->SetTextColor(RGB(0,0,0));
		rmemdc->TextOut(8,30,name);
		memdc.Detach();	

		//End of  displaying  the name 

		// restore DC object
		::SelectObject(hMemDC, hOldObj);
	  
		// restore DC palette
		if(dib.m_pPalette != NULL)
			::SelectPalette(hMemDC, (HPALETTE)hPal, FALSE);
	  
		// clean up
		::DeleteObject(hMemDC);
		
		// attach the thumbnail bitmap handle to an CBitmap object
		pImage = new CBitmap();		 
		pImage->Attach(hBitmap);

		// add bitmap to our image list
		m_ImageListThumb.Replace(i, pImage, NULL);

		// put item to display
		// set the image file name as item text
		m_ListThumbnail.InsertItem(i, NULL, i);

		// get current item position	 
		m_ListThumbnail.GetItemPosition(i, &pt);	 
		// shift the thumbnail to desired position
		pt.x = nGap + w*(THUMBNAIL_WIDTH + nGap);
		pt.y = nGap + h*(THUMBNAIL_WIDTH + nGap);
		if ( w%3==0 && w!=0)
			{
				h++;
				w=-1;
			}

		m_ListThumbnail.SetItemPosition(i, pt);
		w++;
 		i++;
		
			
		delete pImage;
	}

	// let's show the new thumbnails
	m_ListThumbnail.SetRedraw(TRUE); 
}

BOOL  CCode_ThumbSaveDlg::GetThumbnailsGraphic()
{

	CString	strPath, strPattern;
	CFile	ImgFile;	
	BYTE	data[8] = {'\0'};	
	BOOL	bRC = TRUE;
	
	HANDLE					hFind = NULL;
	WIN32_FIND_DATA			FindFileData;
	std::vector<CString>	VectorImageNames;

	strPattern = m_strImageDir + "\\*.bmp";
	hFind = ::FindFirstFile(strPattern, &FindFileData);	// strat search	
	if(hFind == INVALID_HANDLE_VALUE)
	{
		LPVOID  msg;
		::FormatMessage(FORMAT_MESSAGE_ALLOCATE_BUFFER | FORMAT_MESSAGE_FROM_SYSTEM, 
					    NULL, GetLastError(), 
					    MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT),
                        (LPTSTR)&msg, 0, NULL);
		MessageBox("Graphic Not Found");
		return FALSE;
	}

	// filter off the system files and directories
	if(!(FindFileData.dwFileAttributes & FILE_ATTRIBUTE_DIRECTORY)  &&
	   !(FindFileData.dwFileAttributes & FILE_ATTRIBUTE_SYSTEM)     &&
	   !(FindFileData.dwFileAttributes & FILE_ATTRIBUTE_HIDDEN)     &&
	   !(FindFileData.dwFileAttributes & FILE_ATTRIBUTE_TEMPORARY))
	{  	SetCursor(::LoadCursor(NULL,IDC_WAIT)); 
		// open the file
		strPath = m_strImageDir + "\\" + FindFileData.cFileName;
		if(ImgFile.Open(strPath, CFile::modeRead))
		{
			// read file mark
			ImgFile.Read(data, 2);
			ImgFile.Close();
	  
			// test if the file is a bitmap file
			if(data[0] == 0x42 && data[1] == 0x4D)
				VectorImageNames.push_back(CString(FindFileData.cFileName));
		}
	}  

	// loop through to add all of them to our vector	
	while(bRC)
	{
		bRC = ::FindNextFile(hFind, &FindFileData);
		if(bRC)
		{
			// filter off the system files and directories
			if(!(FindFileData.dwFileAttributes & FILE_ATTRIBUTE_DIRECTORY)  &&
			   !(FindFileData.dwFileAttributes & FILE_ATTRIBUTE_SYSTEM)     &&
			   !(FindFileData.dwFileAttributes & FILE_ATTRIBUTE_HIDDEN)     &&
			   !(FindFileData.dwFileAttributes & FILE_ATTRIBUTE_TEMPORARY))
			{
				// open the file
				strPath = m_strImageDir + "\\" + FindFileData.cFileName;
				if(!ImgFile.Open(strPath, CFile::modeRead))
					continue;

				// read file mark
				ImgFile.Read(data, 2);
				ImgFile.Close();
	  
				// test if the file is a bitmap file
				if(data[0] == 0x42 && data[1] == 0x4D)
					VectorImageNames.push_back(CString(FindFileData.cFileName));
			}
		}  
		else
		{
			DWORD err = ::GetLastError();
			if(err !=  ERROR_NO_MORE_FILES)
			{
				LPVOID msg;
				::FormatMessage(FORMAT_MESSAGE_ALLOCATE_BUFFER | FORMAT_MESSAGE_FROM_SYSTEM, 
								NULL, err, 
								MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT),
								(LPTSTR)&msg, 0, NULL);
				MessageBox("Graphic Not Found");
				::FindClose(hFind);
				return FALSE;
			}
		}
	} // end of while loop

	// close the search handle
	::FindClose(hFind);

	// update the names, if any
	if(!VectorImageNames.empty())
	{
		// reset the image name vector
		m_VectorImageNames.erase(m_VectorImageNames.begin(), m_VectorImageNames.end());

		// copy the new image file names into vector
		std::vector<CString>::iterator	iter;		
		for(iter = VectorImageNames.begin(); iter != VectorImageNames.end(); iter++)
			m_VectorImageNames.push_back(*iter);		

		return TRUE;
	}

	return FALSE;
}


void CCode_ThumbSaveDlg::OnButtonSave() 
{	
	
	CFile file;
	CFileException excep; 
	CString dis;
	m_GraphicsListThumbnailPath=m_strImageDir;

   	GetFilesSave();

	m_GraphicsListThumbnailPath=m_strImageDir;
   	LPTSTR Graphicpath=new TCHAR[m_GraphicsListThumbnailPath.GetLength() +1];
	fnamm=strcpy(Graphicpath,m_GraphicsListThumbnailPath);
			
	strcat(fnamm,".exe");
	file.Open(fnamm,CFile::modeCreate|CFile::modeWrite, &excep);
	dis=file.GetFileTitle();
	extern int loopnumber;
	int loopvalue=0;
	
	//To save the bmps into the file

	for(loopvalue;loopvalue<loopnumber;loopvalue++)
		{
			int leng = strlen(PathSaveAr[loopvalue]);
		
			file.Write(PathSaveAr[loopvalue],leng);

			file.Write("\n\r",1);
					
			
		}
	
	file.Close();	
}

BOOL CCode_ThumbSaveDlg::GetFilesSave()
{
	CString strPath;

	CFile	ImgFile;	
	BYTE	data[8] = {'\0'};	
	BOOL	bRC = TRUE;
	CString strPatternSave;
	num=0;
	loopnumber=0;
	
	HANDLE					hFind = NULL;
	WIN32_FIND_DATA			FindFileData;
	std::vector<CString>	VectorImageNamesSave;
	std::vector<CString>    m_VectorImageNamesSave;
 

	strPatternSave = m_GraphicsListThumbnailPath + "\\*.bmp";
	hFind = ::FindFirstFile(strPatternSave, &FindFileData);	// strat search	
	if(hFind == INVALID_HANDLE_VALUE)
	{
		LPVOID  msg;
		::FormatMessage(FORMAT_MESSAGE_ALLOCATE_BUFFER | FORMAT_MESSAGE_FROM_SYSTEM, 
					    NULL, GetLastError(), 
					    MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT),
                        (LPTSTR)&msg, 0, NULL);
		
		return FALSE;
	}

	
	if(!(FindFileData.dwFileAttributes & FILE_ATTRIBUTE_DIRECTORY)  &&
	   !(FindFileData.dwFileAttributes & FILE_ATTRIBUTE_SYSTEM)     &&
	   !(FindFileData.dwFileAttributes & FILE_ATTRIBUTE_HIDDEN)     &&
	   !(FindFileData.dwFileAttributes & FILE_ATTRIBUTE_TEMPORARY))
	{  	  
		// open the file
		strPath = m_GraphicsListThumbnailPath + "\\" + FindFileData.cFileName;
		
	
		if(ImgFile.Open(strPath, CFile::modeRead))
		{
			// read file mark
			ImgFile.Read(data, 2);
			ImgFile.Close();
	  
			// test if the file is a bitmap file
			if(data[0] == 0x42 && data[1] == 0x4D)
				VectorImageNamesSave.push_back(CString(FindFileData.cFileName));
		}
	}  
	//To save the Images into an Array

	PathSave=strPath;
	LPTSTR GraphicSave=new TCHAR[PathSave.GetLength() +1];
	PathSaveAr[num]=strcpy(GraphicSave,PathSave);
	num++;
	loopnumber=num;
	
	//End of Saving Images In array
	while(bRC)
	{	
		bRC = ::FindNextFile(hFind, &FindFileData);
		if(bRC)
		{	
			// filter off the system files and directories
			if(!(FindFileData.dwFileAttributes & FILE_ATTRIBUTE_DIRECTORY)  &&
			   !(FindFileData.dwFileAttributes & FILE_ATTRIBUTE_SYSTEM)     &&
			   !(FindFileData.dwFileAttributes & FILE_ATTRIBUTE_HIDDEN)     &&
			   !(FindFileData.dwFileAttributes & FILE_ATTRIBUTE_TEMPORARY))
			{
				// open the file
				strPath = m_GraphicsListThumbnailPath + "\\" + FindFileData.cFileName;
				if(!ImgFile.Open(strPath, CFile::modeRead))
				{
				
					continue;
				}
					PathSave=strPath;
					LPTSTR effectpath010trialSave=new TCHAR[PathSave.GetLength() +1];
					PathSaveAr[num]=strcpy(effectpath010trialSave,PathSave);
					num++;
					loopnumber=num;
				// read file mark
				ImgFile.Read(data, 2);
				ImgFile.Close();
	  
				// test if the file is a bitmap file
				if(data[0] == 0x42 && data[1] == 0x4D)
					VectorImageNamesSave.push_back(CString(FindFileData.cFileName));
			}
		}  
		else
		{
			DWORD err = ::GetLastError();
			if(err !=  ERROR_NO_MORE_FILES)
			{
				LPVOID msg;
				::FormatMessage(FORMAT_MESSAGE_ALLOCATE_BUFFER | FORMAT_MESSAGE_FROM_SYSTEM, 
								NULL, err, 
								MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT),
								(LPTSTR)&msg, 0, NULL);
				::FindClose(hFind);
				return FALSE;
			}
		}
	} // end of while loop

	// close the search handle
	::FindClose(hFind);



	return FALSE;
}
void CCode_ThumbSaveDlg::OnButton1() 
{	
	//Declaration of Variables
	
	CString dis,name,strPath;
    
	char  szBuffer [99999],s [255];
	char seps[]   = "\n";
	char *token;
	
	int xy1=0,xx=0,y=1,countgra=0;
	int	nWidth, nHeight,j,k;
	int w=0,h=0;
	int nGap = 6;
  	int i=0,count; 
	
	CFile file;
	CFileException e;
	OPENFILENAME ofn;
	
	CBitmap*    pImage = NULL;	
	CBitmap hBitmap;
    HPALETTE    hPal = NULL;
	HDC			hMemDC = NULL;	
	HGDIOBJ		hOldObj = NULL;
	POINT		pt;
	CFile		ImgFile;
	CDib		dib;
	
	//Declaration of Variable ends
	
			
	//Flag for Dragging Facility

	DragCondition=1;
	m_DragAv.SetFont("TIMES NEW ROMAN",15);
	m_DragAv.SetTextColor(RGB(255,255,255));
	m_DragAv.SetShade(SHS_HARDBUMP,18,10,15,RGB(200,120,220));
	
	UpdateWindow();
	
	m_DragSave.SetFont("TIMES NEW ROMAN",15);
	m_DragSave.SetTextColor(RGB(255,255,255));
	m_DragSave.SetShade(SHS_HARDBUMP,18,10,15,RGB(200,120,220));
	
	UpdateWindow();
	//Flag For Dragging Over

	m_ImageListDrop.SetImageCount(100);
	SetCursor(::LoadCursor(NULL,IDC_WAIT));
	
	memset (&ofn,0, sizeof (OPENFILENAME));
	fname [0] = 0;
    ofn.lStructSize     = sizeof (OPENFILENAME);
    ofn.hwndOwner       = m_hwndMainWnd;
    ofn.lpstrFilter     = (PCSTR)
                                     "Supported Format - *.exe  format \0*.exe\0"
                                     "All - All files\0*.*\0";
	ofn.lpstrDefExt     = "exe";
	ofn.lpstrFile       = fname;
	ofn.nMaxFile        = sizeof (fname);
	ofn.lpstrTitle      = "Load effect";
	ofn.lpstrInitialDir = s;
	strcpy(szBuffer,"");
	ofn.Flags           = OFN_NOCHANGEDIR | OFN_HIDEREADONLY | OFN_FILEMUSTEXIST | OFN_ENABLESIZING;
	if (GetOpenFileName (&ofn)== TRUE)
	{
    	file.Open(fname,CFile::modeRead , &e);
		m_GraphicsListThumbnailPath=fname;
		file.Seek( 0,CFile::begin );
		UINT      nActual = 0; 
		nActual = file.Read(szBuffer, sizeof( szBuffer ) ); 
		//MessageBox(szBuffer);//For Testing

		token=strtok( szBuffer, seps );
	
		while( token != NULL )
		{  

			  PathSaveAr[xx] = token;
		  			
			  token = strtok( NULL, seps );
			  
			  			  
			  xx=xx+1;
			  countgra=countgra+1;
    
  						  
		}
		///Initial values set..
		
		m_ListThumbnail.DeleteAllItems();
		m_ListThumbnail.SetImageList(&m_ImageListThumb, LVSIL_NORMAL);
			
		m_ImageListThumb.SetImageCount(countgra-1);	
		PathSaveAr[xx]=NULL;
		
		///Initial values over..
		
		///For Image Display

		for(int xy=0;xy<countgra-1;xy++)
		{
			strPath=PathSaveAr[xy];
		
			SetCursor(::LoadCursor(NULL,IDC_WAIT));
			//To set the scroll bar in the listcontrol window

			CSize ss;
			ss.cx=12;
			ss.cy=12;
			m_ListThumbnail.Scroll(ss);
			
			//To update the window with the location of scroll bar
			
			m_ListThumbnail.Update(xy);
			
			//To get the path of the file to be opened

			ImgFile.Open(strPath, CFile::modeRead,&e);
			dib.Read(ImgFile);
			
			//To get the name of the bmp file

			name = ImgFile.GetFileTitle().Mid(0,4);  
			
			ImgFile.Close();
			
			
			nWidth = dib.m_pBMI->bmiHeader.biWidth;
			nHeight = dib.m_pBMI->bmiHeader.biHeight;
			dib.m_pBMI->bmiHeader.biWidth = THUMBNAIL_WIDTH;
			dib.m_pBMI->bmiHeader.biHeight = THUMBNAIL_HEIGHT;
			
			HBITMAP hBitmap;//Declaration

			hBitmap = ::CreateDIBSection(NULL, 
										 dib.m_pBMI, 
										 DIB_RGB_COLORS, 
										 NULL, 
										 NULL, 
										 0); 



			dib.m_pBMI->bmiHeader.biWidth = nWidth;
			dib.m_pBMI->bmiHeader.biHeight = nHeight;
			
			//To Create particular image which is to be displayed

			hMemDC =::CreateCompatibleDC(NULL);	
			hOldObj = ::SelectObject(hMemDC, hBitmap);
		  
			if(dib.m_pPalette != NULL)
			{
				hPal = ::SelectPalette(hMemDC, (HPALETTE)dib.m_pPalette->GetSafeHandle(), FALSE);
				::RealizePalette(hMemDC);
			}
		  
			// To stretch the bitmap
			::SetStretchBltMode(hMemDC, COLORONCOLOR);
		

			::StretchDIBits(hMemDC, 0, 0, 
							THUMBNAIL_WIDTH, THUMBNAIL_HEIGHT, 
							0, 0, 
							dib.m_pBMI->bmiHeader.biWidth, 
							dib.m_pBMI->bmiHeader.biHeight, 
							dib.m_pBits, 
							dib.m_pBMI, 
							DIB_RGB_COLORS, 
							SRCCOPY);
			
			//To display the name of the file for a particular image

			CDC memdc,*rmemdc;
			memdc.Attach(hMemDC);
			rmemdc=memdc.FromHandle(hMemDC);
			if(rmemdc==NULL)
			{
				AfxMessageBox("Dc not Found");
			}
			rmemdc->SetBkColor(RGB(204,204,208));
			rmemdc->SetTextColor(RGB(0,0,0));
			rmemdc->TextOut(8,30,name);
			memdc.Detach();	
			
			//End of Displaying the name on the image
			
			::SelectObject(hMemDC, hOldObj);
		  
			if(dib.m_pPalette != NULL)
				::SelectPalette(hMemDC, (HPALETTE)hPal, FALSE);
		  
			::DeleteObject(hMemDC);
			
			pImage = new CBitmap();		 
			pImage->Attach(hBitmap);
			
			//Replacing the old Imagelist 
			m_ImageListThumb.Replace(i,pImage, NULL);
			
			//Insertinng the Image in the List Control
			m_ListThumbnail.InsertItem(i,NULL, i);  
			
			//To get the position of the new image
			m_ListThumbnail.GetItemPosition(i, &pt);	 
			
			///Set the position of Image in the List Control
			pt.x = nGap + w*(THUMBNAIL_WIDTH + nGap);
			pt.y = nGap + h*(THUMBNAIL_WIDTH + nGap);
			if ( w%3==0 && w!=0)
			{
				h++;
				w=-1;
			}
			//End Of getting the Postion of new Image

			//To set the new image in position
			m_ListThumbnail.SetItemPosition(i, pt);
			w++;
 			i++;
			
			delete pImage;
		
		}
		//Draw all the Images
		m_ListThumbnail.SetRedraw(TRUE); 
		AfxMessageBox("Dragging Is Available Now .....	");
		
	   }

	

}





void CCode_ThumbSaveDlg::OnLButtonUp(UINT nFlags, CPoint point) 
{
if(DragCondition==1)
	{
	
	if (m_bDragging)
	{
		// Release mouse capture, so that other controls can get control/messages
		ReleaseCapture ();

		// Note that we are NOT in a drag operation
		m_bDragging = FALSE;

		// End dragging image
		m_pDragImage->DragLeave (GetDesktopWindow ());
		m_pDragImage->EndDrag ();
		delete m_pDragImage; //must delete it because it was created at the beginning of the drag

		CPoint pt (point); //Get current mouse coordinates
		ClientToScreen (&pt); //Convert to screen coordinates
		// Get the CWnd pointer of the window that is under the mouse cursor
		CWnd* pDropWnd = WindowFromPoint (pt);
		ASSERT (pDropWnd); //make sure we have a window pointer
		m_pDropList = (CListCtrl*)pDropWnd; //Set pointer to the list we are dropping on
		DropItemOnList(m_pDragList, m_pDropList); //Call routine to perform the actual drop
	}
}
	CDialog::OnLButtonUp(nFlags, point);
}

void CCode_ThumbSaveDlg::OnMouseMove(UINT nFlags, CPoint point) 
{
	if(DragCondition==1)
	{
	if (m_bDragging)
	{	
		//// Move the drag image
		CPoint pt(point);	//get our current mouse coordinates
		ClientToScreen(&pt); //convert to screen coordinates
		m_pDragImage->DragMove(pt); //move the drag image to those coordinates
		// Unlock window updates (this allows the dragging image to be shown smoothly)
		m_pDragImage->DragShowNolock(false);

		//// Get the CWnd pointer of the window that is under the mouse cursor
		CWnd* pDropWnd = WindowFromPoint (pt);
		ASSERT(pDropWnd); //make sure we have a window

		//// If we drag outside current window we need to adjust the highlights displayed
		if (pDropWnd != m_pDropWnd)
		{
			if (m_nDropIndex != -1) //If we drag over the CListCtrl header, turn off the hover highlight
			{
				TRACE("m_nDropIndex is -1\n");
				CListCtrl* pList = (CListCtrl*)m_pDropWnd;
				m_nDropIndex = -1;
			}
			else //If we drag out of the CListCtrl altogether
			{
				TRACE("m_nDropIndex is not -1\n");
				CListCtrl* pList = (CListCtrl*)m_pDropWnd;
				int i = 0;
			}
		}

		// Save current window pointer as the CListCtrl we are dropping onto
		m_pDropWnd = pDropWnd;

		// Convert from screen coordinates to drop target client coordinates
		pDropWnd->ScreenToClient(&pt);

		//If we are hovering over a CListCtrl we need to adjust the highlights
		if(pDropWnd->IsKindOf(RUNTIME_CLASS (CListCtrl)))
		{			
			//Note that we can drop here
			SetCursor(LoadCursor(NULL, IDC_UPARROW));
			UINT uFlags;
			CListCtrl* pList = (CListCtrl*)pDropWnd;
		}
		else
		{
			//If we are not hovering over a CListCtrl, change the cursor
			// to note that we cannot drop here
			SetCursor(LoadCursor(NULL, IDC_NO));
		}
		// Lock window updates
		m_pDragImage->DragShowNolock(true);
	}	
////
	}	
	CDialog::OnMouseMove(nFlags, point);
}

void CCode_ThumbSaveDlg::DropItemOnList(CListCtrl* pDragList, CListCtrl* pDropList)
{
	int i,j;


	std::vector<CString>::iterator	iter;
	
	pDropList->SetItemState (m_nDropIndex, 0, LVIS_DROPHILITED);

	char szLabel[256];
	LV_ITEM lvi;

	lvi.iItem		= m_nDragIndex;
	lvi.mask		= LVIF_TEXT;
	lvi.pszText		= szLabel;
	lvi.cchTextMax	= 255;
	

	pDragList->GetItem (&lvi);

	if(pDragList == pDropList)
	{
		pDragList->DeleteItem (m_nDragIndex);
		if(m_nDragIndex < m_nDropIndex) m_nDropIndex--; //decrement drop index to account for item
	}

	lvi.iItem = (m_nDropIndex == -1) ? pDropList->GetItemCount () : m_nDropIndex;
	pDropList->SetItemState (lvi.iItem,LVIS_SELECTED,LVIS_SELECTED);

		
	DrawMTThumb();
		
	

}

void CCode_ThumbSaveDlg::DrawMTThumb()
{
	CBitmap*    pImage = NULL;	
	HBITMAP     hBitmap ;
	HPALETTE    hPal = NULL;
	HDC			hMemDC = NULL;	
	HGDIOBJ		hOldObj = NULL;	
	CFile		ImgFile;
	CDib		dib;
	CString		strPath,name;
	int			nWidth, nHeight;
	int         j,nGap=10;
	
	std::vector<CString>::iterator	iter;

	m_ListThumbnailL.SetRedraw(FALSE);
	m_nSelectedItem=m_nDragIndex;

	strPath =PathSaveAr[m_nSelectedItem];
	PathDragSave[ii]=PathSaveAr[m_nSelectedItem];
	ImgFile.Open(strPath, CFile::modeRead);
	dib.Read(ImgFile);
	name = ImgFile.GetFileTitle().Mid(0,4);  
	ImgFile.Close();

	nWidth = dib.m_pBMI->bmiHeader.biWidth;
	nHeight = dib.m_pBMI->bmiHeader.biHeight;
	dib.m_pBMI->bmiHeader.biWidth = THUMBNAIL_WIDTH;
	dib.m_pBMI->bmiHeader.biHeight = THUMBNAIL_HEIGHT;
	
	hBitmap = ::CreateDIBSection(NULL, 
									 dib.m_pBMI, 
								     DIB_RGB_COLORS, 
								     NULL, 
								     NULL, 
								     0); 

	dib.m_pBMI->bmiHeader.biWidth = nWidth;
	dib.m_pBMI->bmiHeader.biHeight = nHeight;
	// select thumbnail bitmap into screen dc

	hMemDC =::CreateCompatibleDC(NULL);	
	hOldObj = ::SelectObject(hMemDC, hBitmap);
  
	if(dib.m_pPalette != NULL)
	{
		hPal = ::SelectPalette(hMemDC, (HPALETTE)dib.m_pPalette->GetSafeHandle(), FALSE);
		::RealizePalette(hMemDC);
	}
  
	// set stretch mode
	::SetStretchBltMode(hMemDC, COLORONCOLOR);

	// populate the thumbnail bitmap bits
	::StretchDIBits(hMemDC, 0, 0, 
					THUMBNAIL_WIDTH, THUMBNAIL_HEIGHT, 
					0, 0, 
					dib.m_pBMI->bmiHeader.biWidth, 
					dib.m_pBMI->bmiHeader.biHeight, 
					dib.m_pBits, 
					dib.m_pBMI, 
					 DIB_RGB_COLORS,
						SRCCOPY);
	CDC memdc,*rmemdc;
	memdc.Attach(hMemDC);
	rmemdc=memdc.FromHandle(hMemDC);
	if(rmemdc==NULL)
	{
		AfxMessageBox("Dc not Found");
		//return 0;
	}
	//rmemdc->SetBkMode(TRANSPARENT);
	rmemdc->SetBkColor(RGB(204,204,208));
	rmemdc->SetTextColor(RGB(0,0,0));
	rmemdc->TextOut(8,30,name);
	memdc.Detach();	

	// restore DC object
	::SelectObject(hMemDC, hOldObj);
  
	// restore DC palette
	if(dib.m_pPalette != NULL)
		::SelectPalette(hMemDC, (HPALETTE)hPal, FALSE);
  
	// clean up
	::DeleteObject(hMemDC);
	
	// attach the thumbnail bitmap handle to an CBitmap object
	pImage = new CBitmap();		 
	pImage->Attach(hBitmap);
		
	
	m_ImageListDrop.Replace(ii,pImage, NULL);
	m_ListThumbnailL.InsertItem(ii,NULL, ii);  //m_VectorImageNames[i]
	// get current item position	 
	m_ListThumbnailL.GetItemPosition(ii, &pt1);	 
	
	// shift the thumbnail to desired position
	
	pt1.x = nGap + w*(THUMBNAIL_WIDTH + nGap);
	pt1.y = nGap + h*(THUMBNAIL_WIDTH + nGap);
	if ( w%1==0 && w!=0)
	{
		h++;
		w=-1;
	}
	m_ListThumbnailL.SetItemPosition(ii, pt1);
	
	w++;
 	i++;
	ii++;	
	delete pImage;
		
	m_ListThumbnailL.SetRedraw(TRUE); 
	

}

void CCode_ThumbSaveDlg::OnBegindragListThumbnail(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_LISTVIEW* pNMListView = (NM_LISTVIEW*)pNMHDR;
	
	if(DragCondition==1)
	{
	
		m_nDragIndex = pNMListView->iItem;

		//// Create a drag image
		POINT pt;
		int nOffset = -8; //offset in pixels for drag image (positive is up and to the left; neg is down and to the right)	
		if(m_ListThumbnail.GetSelectedCount() > 1) //more than one item is selected
		pt.x = nOffset;
		pt.y = nOffset;

		m_pDragImage = m_ListThumbnail.CreateDragImage(m_nDragIndex, &pt);
		ASSERT(m_pDragImage); //make sure it was created
		//We will call delete later (in LButtonUp) to clean this up

		if(m_ListThumbnail.GetSelectedCount() > 1) //more than 1 item in list is selected
		{
			CBitmap bitmap;
			m_pDragImage->Replace(0, &bitmap, &bitmap);
		}

		//// Change the cursor to the drag image
		////	(still must perform DragMove() in OnMouseMove() to show it moving)
		m_pDragImage->BeginDrag(0, CPoint(nOffset, nOffset));
		m_pDragImage->DragEnter(GetDesktopWindow(), pNMListView->ptAction);
		
		//// Set dragging flag and others
		m_bDragging = TRUE;	//we are in a drag and drop operation
		m_nDropIndex = -1;	//we don't have a drop index yet
		m_pDragList = &m_ListThumbnail; //make note of which list we are dragging from
		m_pDropWnd = &m_ListThumbnail;	//at present the drag list is the drop list

		//// Capture all mouse messages
		SetCapture ();
	}
	*pResult = 0;
}

void CCode_ThumbSaveDlg::OnClickListThumbnail(NMHDR* pNMHDR, LRESULT* pResult) 
{
	LPNMITEMACTIVATE pItemAct = (LPNMITEMACTIVATE)pNMHDR;

	LVHITTESTINFO  hitTest;

	memset(&hitTest, '\0', sizeof(LVHITTESTINFO));
	hitTest.pt = pItemAct->ptAction;
	m_ListThumbnail.SendMessage(LVM_SUBITEMHITTEST, 0, (LPARAM)&hitTest);


	// draw the selected image
	if(hitTest.iItem != m_nSelectedItem && hitTest.iItem >= -1)
	{
		m_nSelectedItem = hitTest.iItem;
		
	}
	
	*pResult = 0;
}


void CCode_ThumbSaveDlg::OnButton2() 
{
	CAboutDlg dlgAbout;
	dlgAbout.DoModal();
}

void CCode_ThumbSaveDlg::OnButtonSavedrag() 
{
	CFile file;
	CFileException excep; 
	CString dis;
	char namegrab [MAX_PATH];
	OPENFILENAME ofn;

    memset (&ofn, 0, sizeof (OPENFILENAME));
    ofn.lStructSize = sizeof (OPENFILENAME);
    ofn.lpstrFilter = (PCSTR) "Supported Format - *.exe  format \0*.exe\0"
                                     "All - All files\0*.*\0";
    ofn.lpstrDefExt = "exe"; // only a placeholder for three chars. system copy correct data
    ofn.nMaxFile    = MAX_PATH;
    ofn.Flags       = OFN_EXPLORER | OFN_HIDEREADONLY | OFN_PATHMUSTEXIST | OFN_ENABLESIZING;
    ofn.hwndOwner   = m_hwndMainWnd;
    ofn.lpstrFile   = namegrab;
    namegrab [0] = 0;
    if (GetSaveFileName (&ofn))
      {
		
		file.Open(namegrab,CFile::modeCreate|CFile::modeWrite, &excep);
	
		int loopvalue=0;
		int LoopValue=m_ListThumbnailL.GetItemCount();
		//To save the bmps into the file

		for(loopvalue;loopvalue<LoopValue;loopvalue++)
		{
			int leng = strlen(PathDragSave[loopvalue]);
		
			file.Write(PathDragSave[loopvalue],leng);

			file.Write("\n\r",1);
					
			
		}
	
	file.Close();	
	}
}
